Skip to main content
GET
List prices

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

Response

OK

data
(UnitPrice · object | TieredPrice · object | BulkPrice · object | BulkWithFiltersPrice · object | PackagePrice · object | MatrixPrice · object | ThresholdTotalAmountPrice · object | TieredPackagePrice · object | TieredWithMinimumPrice · object | GroupedTieredPrice · object | TieredPackageWithMinimumPrice · object | PackageWithAllocationPrice · object | UnitWithPercentPrice · object | MatrixWithAllocationPrice · object | MatrixWithThresholdDiscountsPrice · object | TieredWithProrationPrice · object | UnitWithProrationPrice · object | GroupedAllocationPrice · object | BulkWithProrationPrice · object | GroupedWithProratedMinimumPrice · object | GroupedWithMeteredMinimumPrice · object | GroupedWithMinMaxThresholdsPrice · object | MatrixWithDisplayNamePrice · object | GroupedTieredPackagePrice · object | MaxGroupTieredPackagePrice · object | ScalableMatrixWithUnitPricingPrice · object | ScalableMatrixWithTieredPricingPrice · object | CumulativeGroupedBulkPrice · object | CumulativeGroupedAllocationPrice · object | DailyCreditAllowancePrice · object | MeteredAllowancePrice · object | MinimumCompositePrice · object | PercentCompositePrice · object | EventOutputPrice · object)[]
required

The Price resource represents a price that can be billed on a subscription, resulting in a charge on an invoice in the form of an invoice line item. Prices take a quantity and determine an amount to bill.

Orb supports a few different pricing models out of the box. Each of these models is serialized differently in a given Price object. The model_type field determines the key for the configuration object that is present.

For more on the types of prices, see the core concepts documentation

pagination_metadata
PaginationMetadata · object
required